package com.example.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

@Data
public class WzBuildManageDetailsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;                     //行ID
    private String province;                //资产所属单位(一级)
    private String city;                    //资产所属单位(二级)
    private String county;                  //资产所属单位(三级)
    private String buildingAias;            //建筑别名
    private String buildingRate;            //得房率
    private String parentBuildingName;      //上级局址名称
    private String parentLandName;          //上级土地名称
    private String buildingSource;          //房屋来源
    private String getDate;                 //取得日期
    private String buildingStartYear;       //房龄开始年份
    private String investmentEntity;        //投资主体
    private String managementHierarchy;     //管理层级
    private String buildingStructure;       //房屋结构
    private String totalNumberOfFloors;     //楼层总数
    private String buildingFaceStreet;      //是否临街
    private String courtyard;               //是否有院落
    private String wholeBuilding;           //整栋是否独有
    private String premisesPermit;          //是否有房产证
    private String noPremisesPermitReason;  //无房产证原因
    private String unrelatedAssets;         //未关联资产
    private String assetCode;               //资产编号
    private String astsLabe;                //资产标签号
    private String useState;                //使用状态
    private String buildingUse;             //建筑用途
    private String ownershipStatus;         //权属状态
    private String buildingFloorArea;       //建筑占地面积(㎡)
    private String buildingArea;            //建筑面积(㎡)
    private String buildingAreaUseArea;     //建筑面积-自用(㎡)
    private String buildingAreaRentArea;    //建筑面积-出租(㎡)
    private String buildingAreaIdelArea;    //建筑面积-闲置(㎡)
    private String buildingAreaUnavailable; //建筑面积-不可使用(㎡)
    private String useArea;                 //使用面积(㎡)
    private String useAreaSelfUseArea;      //使用面积-自用(㎡)
    private String useAreaRentArea;         //使用面积-出租(㎡)
    private String useAreaIdelArea;         //使用面积-闲置(㎡)
    private String useAreaUnavailableArea;  //使用面积-不可使用(㎡)
    private String buildingManageName;      //楼长姓名
    private String buildingManageCompany;   //楼长所在单位
    private String buildingLongitude;       //房屋经度
    private String buildingDimension;       //房屋纬度
    private String buildingActualPropertyRights;  //房屋实际产权

    private String cityName;
    private String countyName;
    private String buildingAddressNumber;   //局址别名
    private String buildingNameAlias;       //局址编码
    private String standardAddress;
    private String inWarehouseDate;
    private String outWarehouseDate;
}
