package com.example.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * 房屋管理
 */
@Data
public class WzLowestUnitPriceEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String city;                       //资产所属单位二级
    private String contractName;              //合同名称
    private String userName;                  //对方全称
    private String userType;                  //客户类型
    private String rentPaymentMethod;        //交租方式
    private String rentalStartDate;          //出租起始日期
    private String contractLeaseTerm;        //合同租期(月数)
    private String contractedRentalArea;     //合同出租面积
    private String includingValueAddedTaxContractAmount;  //含增值税金合同金额
    private String buildingAlias;  //建筑/土地别名
    private String address;
    private String areaSector;
    private double price;    //每平米单价
}
