package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 */
@Data
public class WzHouseLeaseInConEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;
    private String standardAddressLevel1;
    private String standardAddressLevel2;
    private String standardAddressLevel3;
    private double leaInContracQuantity;            // 租入合同数量
    private double totalContrAmount;                 // 合同总金额（含税）（元）
    private double unitPricePerSquareMeter;        // 每平米单价
    private double businessAreaSquaMete;            //营业面积（平米）
    private double officeAreaSquaMete;              //办公面积（平米）
    private double communicationRoomAreaSquaMete;  //通信机房面积（平米）
    private double otherUsageAreaSquaMete;         //其他用途面积（平米）
    private double totalAreaSquaMete;               //总计面积（平米）
    private double statisticalMonth;                   //账期
    private boolean flag;
    private List<WzHouseLeaseInConEntity> children;
}
