package com.example.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * 房屋管理
 */
@Data
public class WzHouseRentOutEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String city;
    private String county;
    private Double accumulate_arrears;    //累计欠费（万元）
    private Integer more_than_three_months;    //其中：3个月以上欠费
    private Double more_than_one_years;    //其中：1年以上欠费
    private Integer this_year_cumulative_new_additions;    //本年累计新增欠费
    private Integer this__year_cumulative_withdrawal;  //本年累计收回欠费
}
