package com.example.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class WzScoreRankingEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    private String province;                         //资产所属单位(一级)
    private String city;                             //资产所属单位(二级)
    private String county;                           //资产所属单位(三级)
    private String idleRate;                         //闲置率=闲/(出+闲)
    private String rAbleRate;                        //可出租率=(出+闲)/(自+出+闲)
    private String rArrearsRate;                     //出租欠费率=欠费合同/合同总数
    private String unitPricePerSquareMeter;          //每平米单价=不含税总价/租期/面积
    private Integer sporadicMaintTimes;               //大于万元零星维修次数
    private Integer maintBuildingsTimes;              //高频（大于每月1次）维修建筑数
    private Double score;                           //账期
    private Integer ranking;                         //排名
    private String statisticalMonth;                 //账期
    private List<WzScoreRankingEntity> children;     //
}
