package com.example.pojo.dto;

import com.example.enums.HouseDataImportEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class HouseDataImportDto {
    @Schema(description = "模板id")
    @NotNull(message = "id不能为空")
    private HouseDataImportEnum id;
    @Schema(description = "账期", example = "2023")
    @NotNull(message = "year不能为空")
    private Integer year;
}
