package com.example.service.impl;

import com.example.dao.WzRemarkDao;
import com.example.entity.WzRemarkEntity;
import com.example.service.WzRemarkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class WzRemarkServiceImpl implements WzRemarkService {

    @Autowired
    private WzRemarkDao wzRemarkDao;

    @Override
    public List<WzRemarkEntity> queryList(Map<String, Object> map) {
        return wzRemarkDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return wzRemarkDao.queryTotal(map);
    }

    @Override
    public int save(WzRemarkEntity otnAreaEntity) {
        return wzRemarkDao.save(otnAreaEntity);
    }


    @Override
    public WzRemarkEntity queryObject(String city) {
        return wzRemarkDao.queryObject(city);
    }


}
