package com.example.service.impl;

import com.example.dao.WzStrategyDao;
import com.example.entity.OtnAreaEntity;
import com.example.entity.WzStrategyEntity;
import com.example.service.WzOtnAreaService;
import com.example.service.WzStrategyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class WzStrategyServiceImpl implements WzStrategyService {

    @Autowired
    private WzStrategyDao wzStrategyDao;
    @Autowired
    private WzOtnAreaService otnAreaService;


    @Override
    public List<WzStrategyEntity> queryList(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        return wzStrategyDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("county")!=null&&!map.get("county").toString().equals("区县")&&!map.get("county").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("county").toString());
            map.put("county",city.getName());
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("区县")){
            map.remove("county");
        }
        if(map.get("county")!=null&&map.get("county").toString().equals("")){
            map.remove("county");
        }
        return wzStrategyDao.queryTotal(map);
    }

    @Override
    public int save(WzStrategyEntity userEntity) {
        return wzStrategyDao.save(userEntity);
    }

    @Override
    public WzStrategyEntity getObject(Integer id) {
        return wzStrategyDao.getObject(id);
    }

    @Override
    public void update(Map<String, Object> map) {
        wzStrategyDao.update(map);
    }

    @Override
    public void delete(Integer id) {
        wzStrategyDao.delById(id);
    }

    @Override
    public WzStrategyEntity getObjectByType() {
        return wzStrategyDao.getObjectByType();
    }


}
